extends Node2D
class_name Beehive

var dancer_in_range : bool = false

@onready var outline = $AreaHighlight

func show_outline():
	outline.visible = true

func hide_outline():
	outline.visible = false

func _on_area_2d_area_entered(area:Area2D):
	if area.is_in_group("dancer"):
		dancer_in_range = true

func _on_area_2d_area_exited(area:Area2D):
	if area.is_in_group("dancer"):
		dancer_in_range = false
